Package org.apache.cxf.service.invoker

# Interface Factory

All Known Implementing Classes:
  `FactoryType.DEFAULT`, `PerRequestFactory`, `PooledFactory`, `SessionFactory`, `SingletonFactory`, `SpringBeanFactory`

public interface Factory
Represents an object factory. Used at invoke time to find the object that the invokation will use

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `create(Exchange e)`
  Creates the object that will be used for the invoke
  `void`
  `release(Exchange e, Object o)`
  Post invoke, this is called to allow the factory to release the object, store it, etc...

- ## Method Details

  - ### create

    Object create(Exchange e) throws Throwable
    Creates the object that will be used for the invoke
    Parameters:
      `e` -
    Throws:
      `Throwable`

  - ### release

    void release(Exchange e, Object o)
    Post invoke, this is called to allow the factory to release the object, store it, etc...
    Parameters:
      `e` -
      `o` - object created from the create method